2 Replies Latest reply on Aug 31, 2011 4:57 PM by Eric Nissan

    gwt-log in errai

    Eric Nissan Newbie

      it appears errai is using gwt-log 3.0.1 which is not the latest version and has compatiblity issues with gwt 2.3.  I am unable to compile using errai when it references this version of gwt-log.  I get:

      [INFO] [ERROR] Unexpected

      [INFO] java.lang.IncompatibleClassChangeError: Found interface com.google.gwt.core.ext.typeinfo.JClassType, but class was expected

      [INFO]           at com.allen_sauer.gwt.log.rebind.LogMessageFormatterGenerator.generate(LogMessageFormatterGenerator.java:196)

       

      you can read the thread here about the incompatibility:

      http://code.google.com/p/gwt-log/issues/detail?id=54

       

      is there a reason it uses an older version of gwt-log?  can it be updated to use 3.1.3 which is the latest?

       

      Thanks.